# -*- mode: ruby -*-
# vi: set ft=ruby :
if Vagrant::VERSION < "2.0.0"
    puts 'This Vagrant environment requires Vagrant 2 or higher.'
    exit 1
end

$puppetinstall = <<-SCRIPT
if [ ! -f /etc/apt/sources.list.d/puppet6.list ]; then
  echo "installing puppet agent, standby"
  wget -q https://apt.puppetlabs.com/puppet6-release-xenial.deb >/dev/null 2>&1
  sudo dpkg -i puppet6-release-xenial.deb >/dev/null 2>&1
  sudo apt update >/dev/null 2>&1
  sudo apt-get install puppet-agent >/dev/null 2>&1
fi
SCRIPT

Vagrant.configure(2) do |config|
  config.vm.box     = "ubuntu/xenial64"
  config.vm.synced_folder '.', '/vagrant', mount_options: ['dmode=755', 'fmode=755']
  config.vm.provider :virtualbox do |virtbox|
    virtbox.gui    = false
    virtbox.memory = "4096"
    virtbox.cpus   = "2"
  end
  config.vm.provider :vmware_workstation do |workstation|
    workstation.vmx["memsize"]  = "4096"
    workstation.vmx["numvcpus"] = "2"
  end
  config.vm.provider :vmware_desktop do |desktop|
    desktop.vmx["memsize"]  = "4096"
    desktop.vmx["numvcpus"] = "2"
  end
  config.vm.provider :vmware_fusion do |fusion|
    fusion.vmx["memsize"]  = "4096"
    fusion.vmx["numvcpus"] = "2"
  end
  config.vm.provision "shell", inline: $puppetinstall

 ################################### foreman ###############################
#  config.vm.define "foreman", autostart: false do |foreman|
#    config.vm.box = "centos/7"
#    foreman.vm.hostname = "foreman.example.com"
#  end

  ################################### database ###############################
  config.vm.define "mysqlsrv" do |mysqlsrv|
    mysqlsrv.vm.hostname = "mysqlsrv.example.com"
    mysqlsrv.vm.provision "puppet" do |puppet|
      puppet.facter             = { "role" => "mysqlsrv" }
      puppet.synced_folder_args = ['ro','dmode = 0755','fmode = 0755']
      #puppet.options            = "--verbose --debug"
      puppet.environment        = 'production'
      puppet.environment_path   = '.'
    end
  end

end
